create table sscManufacturer (
  manufacturerID int4 not null,
  code varchar(100) not null unique,
  name varchar(255),
  websiteURL varchar(255),
  description TEXT,
  isActive bool not null default false,
  header text,
  footer text,
  smallImage varchar(255),
  largeImage varchar(255),
  extra1 varchar(255),
  extra2 varchar(255),
  extra3 varchar(255),
  manufacturerOrder int4 not null default 0,
  class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.product.ManufacturerBean',
  primary key (manufacturerID)
);

CREATE INDEX IDX_sscManufacturer_name ON sscManufacturer (name);
CREATE INDEX IDX_sscManufacturer_manufacturerOrder ON sscManufacturer (manufacturerOrder);

ALTER TABLE sscProduct ADD manufacturerID int4;
alter table sscProduct add constraint productManfFK foreign key (manufacturerID) references sscManufacturer;

ALTER TABLE sscPayment ADD value9 text;
