<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>
<c:set var="listOfLinks" value="${settings.map.navBarLinks}"/>
<c:if test="${settings.map.footerLinks ne '[SAMEASHEADER]'}">
	<c:set var="listOfLinks" value="${settings.map.footerLinks}"/>
</c:if>
<hr id="bottomSeparator" class="separator" />
<footer id="footer">
	<nav id="footerNavbar" class="navbar navbar-default" role="navigation">
		<ul class="nav navbar-nav">
			<c:forTokens var="link" varStatus="current" items="${listOfLinks}" delims=",">
				<c:choose>
					<c:when test="${link eq 'home'}">
						<li><ssc:link href="${customerURL}/Welcome.do"><bean:message key="page.welcome"/></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'about'}">
						<li><ssc:link href="${customerURL}/aboutPage.do"><bean:message key="page.about"/></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'contact'}">
						<li><ssc:link href="${customerURL}/Contact.do"><bean:message key="page.contact"/></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'products'}">
						<li><ssc:link href="${customerURL}/ProductList.do"><bean:message key="page.productList"/></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'manufacturers'}">
						<li><ssc:link href="${customerURL}/Manufacturers.do"><bean:message key="page.manufacturers"/></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'search'}">
						<li><ssc:link href="${customerURL}/SearchForm.do"><bean:message key="page.search"/></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'account'}">
						<li><ssc:link href="${secureURL}/Account.do"><bean:message key="navBar.account" /></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'cart'}">
						<li><ssc:link href="${customerURL}/Cart.do"><bean:message key="navBar.cart" /></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'checkout'}">
						<li><ssc:link href="${secureURL}/Checkout.do"><bean:message key="navBar.checkout" /></ssc:link></li>
					</c:when>
					<c:when test="${link eq 'order'}">
						<li><ssc:link href="${secureURL}/OrderForm.do"><bean:message key="page.orderForm" /></ssc:link></li>
					</c:when>
				</c:choose>
			</c:forTokens>
			<c:if test="${!empty footerCategoriesAndPages}">
				<logic:iterate name="footerCategoriesAndPages" id="category">
					<c:if test="${category.isActive}">
						<c:set var="linkAction" value="Category.do"/>
						<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
						<li><ssc:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code"><c:out value="${category.name}" escapeXml="false"/></ssc:link></li>
					</c:if>
				</logic:iterate>
			</c:if>
		</ul>
	</nav>
	<div id="footerAttribution">
		<div id="attribution">Copyright &#169; ${thisYear} <c:out value=" ${settings.map.storeName} "/> <em>All rights reserved</em>.</div>
		<div id="poweredBy"><a href="http://www.softslate.com">Java Shopping Cart Powered by SoftSlate</a></div>
	</div>
</footer>
<!-- End ${pageScope.sscCurrentPage} -->
