<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start accountAddresses.jsp -->
<%-- Only used when address book is turned off for backwards compatibility with templates --%>
<p class="instructions"><bean:message key="accountAddresses.instructions" bundle="/customer"/></p>
<form id="addressesForm" class="centeredForm" name="addressesForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/UpdateAddresses.do")%>" method="post">
	<%--Cross-site request forgery token--%>
	<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
	<fieldset id="billingAddressFields" class="sideBySide">
		<legend><bean:message key="orderForm.billingHeadline" bundle="/order"/></legend>
		<tiles:insert attribute="billingFormGuts"/>
	</fieldset>
	<tiles:insert page="/WEB-INF/layouts/default/order/deliveryFormJs.jsp"/>
	<fieldset id="deliveryAddressFields" class="sideBySide">
		<legend><bean:message key="orderForm.deliveryHeadline" bundle="/order"/></legend>
		<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>&nbsp;<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain"><bean:message key="orderForm.deliveryUseBilling" bundle="/order"/></label>
		<hr class="formSeparator" />
		<tiles:insert attribute="deliveryFormGuts" />
	</fieldset>
	<span id="accountAddressesButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="accountAddresses.button" bundle="/customer"/>" /></span>
</form>
<!-- End accountAddresses.jsp -->