<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start facetedSearchManufacturers.jsp -->
<c:set var="displayedHeader" value="${false}"/>
<c:forEach var="facet" items="${facetTopGroup.subResults}">
	<c:set var="facetPath" value="${facet.facetName}"/>
	<% 
		String path = pageContext.getAttribute("facetPath").toString();
		pageContext.setAttribute("facetManufacturerCode", path.substring(path.lastIndexOf(LuceneFacetHelper.FACET_SEPARATOR) + 1)); 
		pageContext.setAttribute("facetPathSurrounded", "," + path + ",");
	%>
	<c:set var="facetManufacturer" value="${searchList.facetManufacturers[facetManufacturerCode]}"/>
	<c:if test="${!empty facetManufacturer and facetManufacturer.code ne requestScope.manufacturer.code}">
		<c:if test="${!displayedHeader}">
			<c:set var="displayedHeader" value="${true}"/>
			<div id="${facetTopGroup.facetName}" class="facetGroup widget">
				<strong id="facetResultHeading" class="heading"><bean:message key="advancedSearch.manufacturers" bundle="/product"/></strong>
				<ul class="facetList">
		</c:if>
		<li id="${facetPath}" class="facet">
			<input type="checkbox" class="drilldown" name="facets" value="${facetPath}" id="checkbox-${facetPath}" <c:if test="${fn:contains(incomingFacets, facetPathSurrounded)}">checked="checked"</c:if>/>
			<label class="facetNameAndCount" for="checkbox-${facetPath}">
				<span class="facetName"><c:out value="${facetManufacturer.name}" escapeXml="false"/></span>&nbsp;(<span class="facetCount"><fmt:formatNumber maxFractionDigits="0" value="${facet.facetValue}"/></span>)
			</label>
		</li>
	</c:if>
</c:forEach>
<c:if test="${displayedHeader}">
		</ul>
	</div>
</c:if>
<!-- End facetedSearchManufacturers.jsp -->
