package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

public class SettingsFormPaypoint extends BaseDynaForm {

	private static final long serialVersionUID = 1L;

	static Log log = LogFactory.getLog(SettingsFormPaypoint.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");

		initializeProperties(mapping, request);

		if (request.getParameter("paypointMerchant") == null
				|| request.getParameter("paypointMerchant").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Paypoint Username"));
		}
		if (request.getParameter("paypointCallback") == null
				|| request.getParameter("paypointCallback").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Calback URL"));
		}
		if (request.getParameter("paypointDeferred") == null
				|| request.getParameter("paypointDeferred").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Deferred Setting"));
		}
		if (request.getParameter("paypointTestStatus") == null
				|| request.getParameter("paypointTestStatus").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Test Status"));
		}
		return getErrors();
	}

}
