package com.softslate.commerce.businessobjects.email;

import java.io.Serializable;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;
import com.softslate.commerce.businessobjects.customer.Customer;
import com.softslate.commerce.businessobjects.order.Order;

public class EmailBean extends BaseBusinessObject implements Email, Serializable {

	private static final long serialVersionUID = -2877162790797936921L;

	private int emailID = 0;

	public int getEmailID() {
		return emailID;
	}

	public void setEmailID(int emailID) {
		this.emailID = emailID;
	}

	private Integer orderID = null;

	public Integer getOrderID() {
		return orderID;
	}

	public void setOrderID(Integer orderID) {
		this.orderID = orderID;
	}
	
	private Order order = null;
	
	public Order getOrder() {
		return order;
	}
	
	public void setOrder(Order order) {
		this.order = order;
	}
	
	private Integer customerID = null;

	public Integer getCustomerID() {
		return customerID;
	}

	public void setCustomerID(Integer customerID) {
		this.customerID = customerID;
	}
	
	private Customer customer = null;
	
	public Customer getCustomer() {
		return customer;
	}
	
	public void setCustomer(Customer customer) {
		this.customer = customer;
	}
	
	private Integer templateID = null;

	public Integer getTemplateID() {
		return templateID;
	}

	public void setTemplateID(Integer templateID) {
		this.templateID = templateID;
	}

	private Template template = null;

	public Template getTemplate() {
		return template;
	}

	public void setTemplate(Template template) {
		this.template = template;
	}

	private String type = null;

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	private String toEmails = null;

	public String getToEmails() {
		return toEmails;
	}

	public void setToEmails(String toEmails) {
		this.toEmails = toEmails;
	}
	private String ccEmails = null;

	public String getCcEmails() {
		return ccEmails;
	}

	public void setCcEmails(String ccEmails) {
		this.ccEmails = ccEmails;
	}
	private String bccEmails = null;

	public String getBccEmails() {
		return bccEmails;
	}

	public void setBccEmails(String bccEmails) {
		this.bccEmails = bccEmails;
	}
	private String fromEmail = null;

	public String getFromEmail() {
		return fromEmail;
	}

	public void setFromEmail(String fromEmail) {
		this.fromEmail = fromEmail;
	}
	private String subject = null;

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	private String bodyHtml = null;

	public String getBodyHtml() {
		return bodyHtml;
	}

	public void setBodyHtml(String bodyHtml) {
		this.bodyHtml = bodyHtml;
	}

	private String bodyText = null;

	public String getBodyText() {
		return bodyText;
	}

	public void setBodyText(String bodyText) {
		this.bodyText = bodyText;
	}

	private String createdTime = null;

	public String getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(String createdTime) {
		this.createdTime = createdTime;
	}
	private String sendTime = null;

	public String getSendTime() {
		return sendTime;
	}

	public void setSendTime(String sendTime) {
		this.sendTime = sendTime;
	}
	private String lastActionTime = null;

	public String getLastActionTime() {
		return lastActionTime;
	}

	public void setLastActionTime(String lastActionTime) {
		this.lastActionTime = lastActionTime;
	}
	private String status = null;

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	private String errorMessage = null;

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}
	private String lastEvent = null;

	public String getLastEvent() {
		return lastEvent;
	}

	public void setLastEvent(String lastEvent) {
		this.lastEvent = lastEvent;
	}
	private String lastEventTime = null;

	public String getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(String lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	private String smtpServer = null;

	public String getSmtpServer() {
		return smtpServer;
	}

	public void setSmtpServer(String smtpServer) {
		this.smtpServer = smtpServer;
	}
	
	private String optOutType;

	public String getOptOutType() {
		return optOutType;
	}

	public void setOptOutType(String optOutType) {
		this.optOutType = optOutType;
	}

	private boolean dontSendIfSameEmailTypeAlreadySent;

	public boolean getDontSendIfSameEmailTypeAlreadySent() {
		return dontSendIfSameEmailTypeAlreadySent;
	}

	public void setDontSendIfSameEmailTypeAlreadySent(boolean dontSendIfSameEmailTypeAlreadySent) {
		this.dontSendIfSameEmailTypeAlreadySent = dontSendIfSameEmailTypeAlreadySent;
	}

	public String toString() {
		return super.toString() + " [" + getSmtpServer() + ", " + getSubject() + ", " + getType() + ", emailID="
				+ getEmailID() + "]";
	}

}
