package com.softslate.commerce.daos.customer;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to customer
 * addresses.
 * 
 * @author David Tobey
 * 
 */
public interface CustomerAddressGatewayDAO extends DAOInterface {
	abstract Map loadCustomerAddressesAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteCustomerAddresses(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
