<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start salesByProductScreen.jsp -->
<% pageContext.setAttribute("now", new java.util.Date()); %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" value="${altRowClass}"/>

<h3>From <c:out value="${salesByProductForm.startDate}"/> to <c:out value="${salesByProductForm.endDate}"/></h3>

<h5>Report Run <fmt:formatDate value="${now}" type="both" /></h5>

<br/><br/>

<c:choose>
	<c:when test="${ !empty salesByProduct }">
		<table summary="Sales By Product" class="report">
			<tr>
				<th>Name</th>
				<th>Code</th>
				<th>First Order</th>
				<th>Last Order</th>
				<th>Total Qty.</th>
				<th>No. Orders</th>
				<th>Total</th>
			</tr>
			<logic:iterate id="record" name="salesByProduct">
				<c:choose>
					<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<tr class="<c:out value="${thisClass}"/>">
					<td class="name"><c:out value="${record[0]}" escapeXml="false"/></td>
					<td class="code"><c:out value="${record[1]}"/></td>
					<td class="date"><c:out value="${record[2]}"/></td>
					<td class="date"><c:out value="${record[3]}"/></td>
					<td class="quantity number"><c:out value="${record[4]}"/></td>
					<td class="quantity number"><c:out value="${record[5]}"/></td>
					<td class="currency number"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${record[6]}"/></td>
				</tr>
			</logic:iterate>
		</table>
	</c:when>
	<c:when test="${ !empty param.salesByProductReport }">
		No sales activity.
	</c:when>
</c:choose>

<div class="dontPrint">
	<br/><br/>
	<input class="button" type="button" onclick="window.print();return false" value="Print Report"/>
</div>

<!-- End salesByProductScreen.jsp -->
