// ////////////////////////////////////////////////////////////////////////////////////////
// The remove item tool is triggered from the order overview screen, namely orderOverview.jsp. 

YAHOO.namespace("removeItem");

YAHOO.removeItem.removeItem = function(orderItemID) {
	YAHOO.removeItem.submitProcessRemoveItem(orderItemID);
}
	
// Shared Ajax connection methods
YAHOO.removeItem.failure = function(o) {
	YAHOO.removeItem.removeItemModule.setBody(o.status + ': ' + o.statusText);
}
YAHOO.removeItem.removeItemArgs = ['foo','bar'];

// Only step - removing the item
YAHOO.removeItem.processRemoveItemSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else if (o.responseText.indexOf("id=\"orderOverview\"") != -1) {

		// Replace the body of the page
		YAHOO.util.Dom.get("bodyContent").innerHTML = o.responseText;
		
		// Pop the browser up to the messages if there are any
		if (o.responseText.indexOf("class=\"ajaxMessages\"") != -1) {
			YAHOO.administratorCore.focusOnMessages();
		}
		
		// Initialize so the Edit link works again
		YAHOO.administratorCore.initializeOrderOverviewTools();
	} else {

		// Error 
		YAHOO.removeItem.removeItemModule.setBody(o.responseText);
	}
};
YAHOO.removeItem.processRemoveItemCallback = {
  success:YAHOO.removeItem.processRemoveItemSuccess,
  failure:YAHOO.removeItem.failure,
  argument:YAHOO.removeItem.removeItemArgs
};
YAHOO.removeItem.submitProcessRemoveItem = function(orderItemID) {
	YAHOO.removeItem.removeItemModule = new YAHOO.widget.Module("removeItemModule-" + orderItemID);
	YAHOO.removeItem.removeItemModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("removeItemForm-" + orderItemID));
	YAHOO.addItem.transaction = YAHOO.util.Connect.asyncRequest('POST', 
		'RemoveItemProcess.do', 
		YAHOO.removeItem.processRemoveItemCallback);
}
