<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp"%><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%-- Same as basicPaymentForm.jsp but with a different set of credit card options and splitting out the first and last name on the card (as required by the UK API). --%>
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />

<fieldset id="paypalUKDirectPaymentForm" class="paymentInformation">
	<legend><bean:message key="paymentForms.ccHeading" bundle="/order" /></legend>

	<label for="ccFirstName" class="requiredLabel"><bean:message key="paymentForms.ccFirstName" bundle="/order" /></label>
	<html:text styleId="ccFirstName" styleClass="textbox" name="${thisForm}" property="ccFirstName" />
	<br />
			
	<label for="ccLastName" class="requiredLabel"><bean:message key="paymentForms.ccLastName" bundle="/order" /></label>
	<html:text styleId="ccLastName" styleClass="textbox" name="${thisForm}" property="ccLastName" />
	<br />

	<label for="creditCardType" class="requiredLabel"><bean:message key="paymentForms.ccType" bundle="/order" /></label>
	<html:select name="${thisForm}" property="creditCardType">
		<html:option value="VISA">Visa</html:option>
		<html:option value="MASTERCARD">MasterCard</html:option>
		<html:option value="SWITCH">Switch</html:option>
		<html:option value="SOLO">Solo</html:option>
		<html:option value="OTHER">Other</html:option>
	</html:select>
	<br />

	<label for="decryptedNumber" class="requiredLabel"><bean:message key="paymentForms.ccNumber" bundle="/order" /></label>
	<html:text styleClass="textbox" styleId="decryptedNumber" name="${thisForm}" property="decryptedNumber" maxlength="18" />
	<br />

	<label for="creditCardSecurityCode" class="requiredLabel"><bean:message key="paymentForms.ccSecurityCode" bundle="/order" /></label>
	<html:text styleClass="textbox" styleId="creditCardSecurityCode" name="${thisForm}" property="creditCardSecurityCode" size="4" maxlength="4" />
	(<a href="${customerURL}/images/creditCardCodeWhatsThis.gif" onclick="window.open('${customerURL}/images/creditCardCodeWhatsThis.gif','whatsthis','scrollbars=yes,width=400,height=200');return(false);"><bean:message key="paymentForms.ccWhatsThis" bundle="/order" /></a>)
	<br />

	<label for="creditCardExpirationMonth" class="requiredLabel"><bean:message key="paymentForms.ccExpirationMonth" bundle="/order" /></label>
	<html:select styleClass="selectbox" styleId="creditCardExpirationMonth" name="${thisForm}" property="creditCardExpirationMonth">
		<html:option value="01">1</html:option>
		<html:option value="02">2</html:option>
		<html:option value="03">3</html:option>
		<html:option value="04">4</html:option>
		<html:option value="05">5</html:option>
		<html:option value="06">6</html:option>
		<html:option value="07">7</html:option>
		<html:option value="08">8</html:option>
		<html:option value="09">9</html:option>
		<html:option value="10">10</html:option>
		<html:option value="11">11</html:option>
		<html:option value="12">12</html:option>
	</html:select>
	<br/>

	<label for="creditCardExpirationYear" class="requiredLabel"><bean:message key="paymentForms.ccExpirationYear" bundle="/order" /></label>
	<html:select styleClass="selectbox selectboxYear" styleId="creditCardExpirationYear" name="${thisForm}" property="creditCardExpirationYear">
		<html:option value="${thisYear}">${thisYear}</html:option>
		<html:option value="${thisYear + 1}">${thisYear + 1}</html:option>
		<html:option value="${thisYear + 2}">${thisYear + 2}</html:option>
		<html:option value="${thisYear + 3}">${thisYear + 3}</html:option>
		<html:option value="${thisYear + 4}">${thisYear + 4}</html:option>
		<html:option value="${thisYear + 5}">${thisYear + 5}</html:option>
		<html:option value="${thisYear + 6}">${thisYear + 6}</html:option>
		<html:option value="${thisYear + 7}">${thisYear + 7}</html:option>
		<html:option value="${thisYear + 8}">${thisYear + 8}</html:option>
		<html:option value="${thisYear + 9}">${thisYear + 9}</html:option>
	</html:select>
	<br />
	<br />
	
	<p id="switchSoloInstructions"><bean:message key="paymentForms.ccIssueOrMonthYearNumber" bundle="/order" />:</p>
	
	<label for="creditCardStartMonth" class="requiredLabel"><bean:message key="paymentForms.ccCardIssue" bundle="/order" /></label>
	<html:select styleClass="selectbox" styleId="creditCardStartMonth" name="${thisForm}" property="creditCardStartMonth">
		<html:option value="">--</html:option>
		<html:option value="01">1</html:option>
		<html:option value="02">2</html:option>
		<html:option value="03">3</html:option>
		<html:option value="04">4</html:option>
		<html:option value="05">5</html:option>
		<html:option value="06">6</html:option>
		<html:option value="07">7</html:option>
		<html:option value="08">8</html:option>
		<html:option value="09">9</html:option>
		<html:option value="10">10</html:option>
		<html:option value="11">11</html:option>
		<html:option value="12">12</html:option>
	</html:select>
	<br/>

	<label for="creditCardStartYear" class="requiredLabel"><bean:message key="paymentForms.ccExpirationYear" bundle="/order" /></label>
	<html:select styleClass="selectbox selectboxYear" styleId="creditCardExpirationYear" name="${thisForm}" property="creditCardStartYear">
		<html:option value="">--</html:option>
		<html:option value="${thisYear}">${thisYear}</html:option>
		<html:option value="${thisYear - 1}">${thisYear - 1}</html:option>
		<html:option value="${thisYear - 2}">${thisYear - 2}</html:option>
		<html:option value="${thisYear - 3}">${thisYear - 3}</html:option>
		<html:option value="${thisYear - 4}">${thisYear - 4}</html:option>
		<html:option value="${thisYear - 5}">${thisYear - 5}</html:option>
		<html:option value="${thisYear - 6}">${thisYear - 6}</html:option>
		<html:option value="${thisYear - 7}">${thisYear - 7}</html:option>
		<html:option value="${thisYear - 8}">${thisYear - 8}</html:option>
		<html:option value="${thisYear - 9}">${thisYear - 9}</html:option>
	</html:select>
	<br />
	
	<label for="ccIssueNumber" class="requiredLabel"><bean:message key="paymentForms.ccIssueNumber" bundle="/order" /></label>
	<html:text styleId="ccIssueNumber" styleClass="textbox" name="${thisForm}" property="ccIssueNumber" size="2" />
	<br/>

	<%--Captcha Verification--%>
	<c:choose>
		<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1' and settings.map.useLegacyCaptchaMethod eq '1'}">
			<br /><br />
			<div id="challengeImageAndInstructions">
				<img class="challengeImage img-responsive" alt="Challenge Image" src="${secureURL}/Jcaptcha.do"/><br/>
				<bean:message key="security.textFromImageInstructions" />
			</div>
			<br /><br />
			<label for="textFromImage" class="requiredLabel"><bean:message key="security.textFromImage" /></label>
			<input type="text" id="textFromImage" name="textFromImage" class="textbox"/>
			<br /><br />
		</c:when>
		<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1'}">
			<script src="https://www.google.com/recaptcha/api.js" async defer></script>
			<div class="g-recaptcha" data-sitekey="${settings.map.recaptchaSiteKey}"></div><br />
		</c:when>
	</c:choose>

	<logic:notPresent name="suppressSubmitButton">
		<div id="paypalUKButton" class="paymentButton">
			<c:if test="${displayCheckoutConfirm eq '0'}">
				<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
			</c:if>
			<c:if test="${displayCheckoutConfirm eq '1'}">
				<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
			</c:if>
		</div>
	</logic:notPresent>
	
</fieldset>
<!-- End ${pageScope.sscCurrentPage} -->
