<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:useAttribute name="listCollection"/>
<ssc:useAttribute name="objectType"/>
<ssc:useAttribute name="maxItems"/>
<c:set var="numberDisplayed" value="0"/>
<c:if test="${!empty listCollection}">
	<c:set var="numberDisplayed" value="0"/>
	<c:forEach var="object" items="${listCollection}" varStatus="current">
		<c:if test="${numberDisplayed < maxItems and object.isActive and !empty object.name and !empty object.largeImage}">
			<c:set var="numberDisplayed" value="${numberDisplayed + 1}"/>
		</c:if>
	</c:forEach>
	<c:if test="${numberDisplayed > 1}">
		<c:set var="numberDisplayed" value="0"/>
		<div class="carouselContainer col-xs-12">
			<div id="thisCarousel" class="carousel slide" data-ride="carousel">
				<!-- Indicators -->
				<ol class="carousel-indicators">
					<c:forEach var="object" items="${listCollection}" varStatus="current">
						<c:if test="${numberDisplayed < maxItems and object.isActive and !empty object.name and !empty object.largeImage}">
							<li data-target="#thisCarousel" data-slide-to="${current.count}" class="active"></li>
							<c:set var="numberDisplayed" value="${numberDisplayed + 1}"/>
						</c:if>
					</c:forEach>
				</ol>
				<!-- Slides -->
				<div class="carousel-inner">
					<c:set var="numberDisplayed" value="0"/>
					<c:forEach var="object" items="${listCollection}" varStatus="current">
						<c:if test="${numberDisplayed < maxItems and object.isActive and !empty object.name and !empty object.largeImage}">
							<c:set var="objectLinkCode" value="${object.code}"/>
							<c:if test="${objectType eq 'Product' and settings.map.useSEOCodeForProductURLs eq '1' and !empty object.seoCode}">
								<c:set var="objectLinkCode" value="${object.seoCode}"/>
							</c:if>
							<div class="item<c:if test="${numberDisplayed == 0}"> active</c:if>">
								<ssc:link href="${customerURL}/${objectType}.do?code=${objectLinkCode}">
									<img class="img-responsive" src="${object.largeImage}" title="${object.name}" alt="Image for ${object.code}"/>
									<div class="carousel-caption"><c:out value="${object.name}" escapeXml="false"/></div>
								</ssc:link>
							</div>
							<c:set var="numberDisplayed" value="${numberDisplayed + 1}"/>
						</c:if>
					</c:forEach>
				</div>
				<!-- Controls -->
				<a class="left carousel-control" href="#thisCarousel" data-slide="prev"> <span class="glyphicon glyphicon-chevron-left"></span></a>
				<a class="right carousel-control" href="#thisCarousel" data-slide="next"> <span class="glyphicon glyphicon-chevron-right"></span></a>
			</div>
		</div>
	</c:if>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
