<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start resetPassword.jsp -->
<h1><bean:message key="customer.lostPasswordResetHeadline" bundle="/customer"/></h1>
<p class="instructions"><bean:message key="customer.lostPasswordResetInstructions" bundle="/customer"/></p>
<script type="text/javascript">
	$(document).ready(function(){
		$("#resetPasswordForm").submit(function(event){
			//validate
			var password1 = $("#decryptedPassword1").val();
			var password2 = $("#decryptedPassword2").val();
			if (password1 != password2) {
				$("#decryptedPassword1").val("");
				$("#decryptedPassword2").val("");
				alert("Passwords do not match.");
				return false;
			}else{			
				return true;
			}
		 });
	});
</script>
<form id="resetPasswordForm" name="resetPasswordForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CompleteResetPassword.do")%>" method="post">	
	<html:hidden name="resetPasswordForm" property="passwordToken"/>
	<html:hidden name="resetPasswordForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
	<table>
		<tr><td><bean:message key="customer.password" bundle="/customer"/>:</td><td><input id="decryptedPassword1" type="password" name="decryptedPassword"/></td></tr>
		<tr><td><bean:message key="customer.confirmPassword" bundle="/customer"/>:</td><td><input id="decryptedPassword2" type="password" name="confirmPassword"/></td></tr>
	</table>
	<br/><br/>
	<span id="lostPasswordButton" class="buttonWrap"><input id="resetPasswordButton" type="submit" class="button" value="<bean:message key="customer.resetPasswordButton" bundle="/customer"/>"/></span>
</form>
<!-- End resetPassword.jsp -->