<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start onePageCheckoutLayout.jsp -->
<c:set var="crumbNumber" value="1"/>
<c:set var="onePageCheckoutEnabled" scope="request" value="${true}"/>
<div id="onePageCheckoutMain">
	<div id="onePageCheckout">
		
		<%-- Addresses --%>
		<h3 class="onePageCheckout-addresses"><bean-el:message key="checkoutAddresses.breadcrumb${crumbNumber}" bundle="/order" /></h3>
		<div>
			<div class="onePageCheckout-addresses-content">
				<ssc:insert page="/WEB-INF/layouts/default/order/checkoutAddressesLayout.jsp"/>
			</div>
		</div>
		
		<%-- Shipping --%>
		<c:if test="${settings.map.shippingRequired eq '1' }">
			<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
			<h3 class="onePageCheckout-shipping"><bean-el:message key="checkoutShipping.breadcrumb${crumbNumber}" bundle="/order" /></h3>
			<div class="shippingForm-wrapper">
				<p class="instructions"><bean:message key="checkoutShipping.instructions" bundle="/order" /></p>
				<form id="shippingForm" name="shippingForm" class="centeredForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutShipping.do")%>" method="post">
					<input type="hidden" name="submittedForm" value="checkoutShipping" />
					<div class="onePageCheckout-shipping-errors"></div>
					<div class="onePageCheckout-shipping-content"></div>
					<div id="checkoutShippingButton" class="checkoutButtonContainer">
						<c:choose>
							<c:when test="${settings.map.paymentRequired eq '1'}">
								<input type="submit" class="button" value="<bean:message key="checkoutShipping.button" bundle="/order"/>" />
							</c:when>
							<c:otherwise>
								<input type="submit" class="button" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
							</c:otherwise>
						</c:choose>
					</div>
				</form>
			</div>
		</c:if>
	
		<%-- Payment --%>
		<c:if test="${settings.map.paymentRequired eq '1'}">
			<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
			<h3 class="onePageCheckout-payment"><bean-el:message key="checkoutPayment.breadcrumb${crumbNumber}" bundle="/order" /></h3>
			<div class="paymentForm-wrapper">
				<div class="onePageCheckout-payment-errors"></div>
				<div class="onePageCheckout-payment-content"></div>
			</div>
		</c:if>
	
		<%-- Confirmation --%>
		<c:if test="${settings.map.displayCheckoutConfirm eq '1'}">
			<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
			<h3 class="onePageCheckout-confirm"><bean-el:message key="checkoutConfirm.breadcrumb${crumbNumber}" bundle="/order" /></h3>
			<div class="confirmForm-wrapper">
				<div class="onePageCheckout-confirm-errors"></div>
				<div class="onePageCheckout-confirm-content"></div>
			</div>
		</c:if>
	</div>
</div>
<!-- End onePageCheckoutLayout.jsp -->
