<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start authorizeNetCIMPaymentForm.jsp -->
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />
<fieldset id="basicPaymentForm" class="paymentInformation">
	<legend><bean:message key="paymentForms.cimHeading" bundle="/order"/></legend>
	<p class="instructions"><bean:message key="paymentForms.cimInstructions" bundle="/order"/></p>	
	<c:choose>
		<c:when test="${!empty cimToken or requestScope.useCIMAPI}">
			<input type="hidden" name="cimPaymentProfileType" value="${cimPaymentProfileType}" />
			<a name="cimAboveProfileListA"></a>
			<c:set var="fromPage" value="checkout" scope="request"/>
			<c:choose>
				<c:when test="${requestScope.useCIMAPI}">
					<div id="paymentProfilesDisplay">&nbsp;</div>
				</c:when>
				<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Embedded IFrame'}">
					<tiles:insert page="/WEB-INF/layouts/default-xhtml/customer/cimManageProfilesList.jsp"/>
				</c:when>
				<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Popup IFrame'}">
					<tiles:insert page="/WEB-INF/layouts/default-xhtml/customer/cimManageProfilesList.jsp"/>
					<c:choose>
						<c:when test="${settings.map.authorizeNetCIMFullManageWindow eq '1'}">
							<button class="button" onclick="AuthorizeNetPopup.openManagePopup();return false;"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
						</c:when>
						<c:otherwise>
							<button class="button" onclick="AuthorizeNetPopup.openAddPaymentPopup();return false;"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Redirect'}">
					<tiles:insert page="/WEB-INF/layouts/default-xhtml/customer/cimManageProfilesList.jsp"/>
					<button class="button" onclick="ssRedirectManage();return false;"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
				</c:when>
			</c:choose>
			<logic:notPresent name="suppressSubmitButton">
				<div id="basicPaymentButton" class="paymentButton">
					<c:if test="${displayCheckoutConfirm eq '0'}">
						<input id="basicPaymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
					</c:if>
						<c:if test="${displayCheckoutConfirm eq '1' and (requestScope.useCIMAPI or !empty cimPaymentProfiles)}">
						<input id="basicPaymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
					</c:if>
				</div>
			</logic:notPresent>
			<a name="cimAboveHostedFormA"></a>
			<c:choose>
				<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Embedded IFrame'}">
					<tiles:insert page="/WEB-INF/layouts/default-xhtml/payment/authorizeNetCIMEmbeddedIFrame.jsp"/>
				</c:when>
				<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Popup IFrame'}">
					<tiles:insert page="/WEB-INF/layouts/default-xhtml/payment/authorizeNetCIMPopupIFrame.jsp"/>
				</c:when>
				<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Redirect'}">
					<tiles:insert page="/WEB-INF/layouts/default-xhtml/payment/authorizeNetCIMRedirect.jsp"/>
				</c:when>
			</c:choose>
		</c:when>
		<c:otherwise>
			<bean:message key="paymentForms.cimMethodNotAvailable" bundle="/order"/>
		</c:otherwise>
	</c:choose>
</fieldset>
<!-- End authorizeNetCIMPaymentForm.jsp -->
