<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start manufacturers.jsp -->
<c:if test="${!empty manufacturers and !manufacturers['empty']}">
	<div id="miniManufacturers" class="miniManufacturer widget">
		<strong id="miniManufacturerHeading" class="heading"><bean:message key="product.manufacturerHeader" bundle="/product"/></strong>
		<c:set var="imageDisplayed" value="false"/>
		<c:set var="firstItem" value="true"/>
		<c:set var="moreNotDisplayed" value="false"/>
		<c:set var="numberToDisplay" value="${settings.map.miniManufacturersCount}"/>
		<bean:size id="numberOfItems" name="manufacturers"/>
		<c:if test="${numberOfItems > numberToDisplay}">
			<c:set var="moreNotDisplayed" value="true"/>
		</c:if>
		<% String numberToDisplay = (String) pageContext.getAttribute("numberToDisplay"); %>
		<logic:iterate name="manufacturers" id="manufacturer" indexId="i" length="<%= numberToDisplay %>">
			<c:if test="${manufacturer.isActive}">
				<c:if test="${firstItem eq 'false'}">
					<hr />
				</c:if>
				<c:if test="${firstItem eq 'true'}">
					<c:set var="firstItem" value="false"/>
				</c:if>
				<div id="miniManufacturer-<c:out value="${manufacturer.code}"/>" class="manufacturer">
					<c:if test="${!empty manufacturer.smallImage && !imageDisplayed}">
						<c:if var="imageDisplayed" test="${true}"/>
						<c:set var="imageURL" value="${item.image}"/>
						<% if (!request.isSecure() || !((String) pageContext.getAttribute("imageURL")).startsWith("http://")) { %>
							<p class="image">
								<html:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}">
									<img src="<c:out value="${manufacturer.smallImage}"/>"<c:if test="${!empty manufacturer.name}"> title="<c:out value="${manufacturer.name}"/>" alt="<c:out value="${manufacturer.name}"/>"</c:if>/>
								</html:link>
							</p>
						<% } %>
					</c:if>
					<p class="name">
						<html:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}" >
							<c:out value="${manufacturer.name}" escapeXml="false"/>
						</html:link>
					</p>
				</div>
			</c:if>
		</logic:iterate>
		<c:if test="${moreNotDisplayed eq 'true'}">
			<hr />
			<p class="links">
				<html:link action="/Manufacturers"><bean:message key="manufacturer.allManufacturers" bundle="/product"/></html:link>
			</p>
		</c:if>
	</div>
</c:if>
<!-- End manufacturers.jsp -->
