<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start productListLayout.jsp -->
<div class="facetedSearchBody">
	<h1><span><bean:message key="productList.headline" bundle="/product"/></span></h1>
	<%--Pagination--%>
	<c:set var="topPagination" value="true" scope="request"/>
	<tiles:insert attribute="pagination"/>
	<%--Item count--%>
	<div class="productListItemCount">
		<c:out value="${itemCount}"/>&nbsp;<c:choose><c:when test="${itemCount == 1}"><bean:message key="productList.item" bundle="/product"/></c:when><c:otherwise><bean:message key="productList.items" bundle="/product"/></c:otherwise></c:choose>
	</div>
	<%--Sort By links--%>
	<c:if test="${itemCount > 0 and requestScope.advancedSearch eq 'true' and settings.map.advancedSearchPriceSort eq '1'}">
		<tiles:insert attribute="sortByLinks"/>
	</c:if>
	<%--Facets listed--%>
	<c:if test="${requestScope.advancedSearch eq 'true' and !empty searchList.facets}">
		<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchSelections.jsp"/>
	</c:if>
	<hr class="productListSeparator"/>
	<%--Products themselves--%>
	<c:choose>
		<c:when test="${settings.map.productListDisplayFormat eq 'rows'}">
			<tiles:insert attribute="productListRows"/>
		</c:when>
		<c:otherwise>
			<tiles:insert attribute="productList"/>
		</c:otherwise>
	</c:choose>
	<%--Pagination--%>
	<c:set var="topPagination" value="false" scope="request"/>
<tiles:insert attribute="pagination"/>
</div>
<!-- End productListLayout.jsp -->
