package com.softslate.commerce.administrator.product;

import com.softslate.commerce.customer.core.BaseForm;
import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;


/**
 * @author Tony Zakula
 *
 */
public class ProductSettingsFormImages extends BaseForm {

    private static final long serialVersionUID = 1L;

    static Log log = LogFactory.getLog(ProductSettingsFormImages.class);

    private String productID = null;

    private String parentName = null;

    private String breadcrumbName = "Additional Images";

    private String breadcrumbTarget = "ProductSettingsImages.do";

    private String[] code = null;

    private String[] value = null;

    private String[] valueType = null;

    public String[] getCode() {
        return code;
    }

    public void setCode(String[] code) {
        this.code = code;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getProductID() {
        return productID;
    }

    public void setProductID(String productID) {
        this.productID = productID;
    }

    public String[] getValue() {
        return value;
    }

    public void setValue(String[] value) {
        this.value = value;
    }

    public String[] getValueType() {
        return valueType;
    }

    public void setValueType(String[] valueType) {
        this.valueType = valueType;
    }

    public String getBreadcrumbName() {
        return breadcrumbName;
    }

    public void setBreadcrumbName(String breadcrumbName) {
        this.breadcrumbName = breadcrumbName;
    }

    public String getBreadcrumbTarget() {
        return breadcrumbTarget;
    }

    public void setBreadcrumbTarget(String breadcrumbTarget) {
        this.breadcrumbTarget = breadcrumbTarget;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        initializeProperties(mapping, request);
        return getErrors();
    }

}

