package com.softslate.commerce.businessobjects.events;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObject;
import com.softslate.commerce.businessobjects.core.BusinessProcessor;
import com.softslate.commerce.businessobjects.core.RequestLog;

public interface ChangingRequestLogEvent extends BusinessObject {

	public BusinessProcessor getBusinessProcessor();

	public void setBusinessProcessor(BusinessProcessor businessProcessor);

	public RequestLog getRequestLog();

	public void setRequestLog(RequestLog requestLog);

	public Map getIncomingParameters();

	public void setIncomingParameters(Map incomingParameters);

	public Map getResults();

	public void setResults(Map results);
}
