package com.softslate.commerce.businessobjects.payment.authorizeNetCIM;

import AuthNet.Rebill.CustomerAddressType;

public class AuthorizeNetCIMAddress {

	private String firstName = null;
	private String lastName = null;
	private String address = null;
	private String company = null;
	private String city = null;
	private String country = null;
	private String state = null;
	private String zip = null;
	private String phoneNumber = null;

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getCompany() {
		return company;
	}

	public void setCompany(String company) {
		this.company = company;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getZip() {
		return zip;
	}

	public void setZip(String zip) {
		this.zip = zip;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public AuthorizeNetCIMAddress(CustomerAddressType address) {
		if (address != null) {
			setFirstName(address.getFirstName());
			setLastName(address.getLastName());
			setAddress(address.getAddress());
			setCompany(address.getCompany());
			setCity(address.getCity());
			setCountry(address.getCountry());
			setState(address.getState());
			setZip(address.getZip());
			setPhoneNumber(address.getPhoneNumber());
		}
	}

}
