package com.softslate.commerce.businessobjects.payment.authorizeNetCIM;

import AuthNet.Rebill.CustomerAddressType;
import AuthNet.Rebill.CustomerPaymentProfileMaskedType;

public class AuthorizeNetCIMPaymentProfileMin {

	private long customerProfileId = 0;
	private long customerPaymentProfileId = 0;
	private String cardNumber = null;
	private String expirationDate = null;
	private AuthorizeNetCIMAddress address = null;
	private CustomerPaymentProfileMaskedType customerPaymentProfileMaskedType = null;

	public long getCustomerPaymentProfileId() {
		return customerPaymentProfileId;
	}

	public void setCustomerPaymentProfileId(long customerPaymentProfileId) {
		this.customerPaymentProfileId = customerPaymentProfileId;
	}

	public String getCardNumber() {
		return cardNumber;
	}

	public void setCardNumber(String cardNumber) {
		this.cardNumber = cardNumber;
	}

	public String getExpirationDate() {
		return expirationDate;
	}

	public void setExpirationDate(String expirationDate) {
		this.expirationDate = expirationDate;
	}

	public AuthorizeNetCIMAddress getAddress() {
		return address;
	}

	public void setAddress(AuthorizeNetCIMAddress address) {
		this.address = address;
	}

	public AuthorizeNetCIMPaymentProfileMin(long customerProfileId, long customerPaymentProfileId, String cardNumber,
			String expirationDate,
			CustomerAddressType address, CustomerPaymentProfileMaskedType customerPaymentProfileMaskedType) {
		this.customerProfileId = customerProfileId;
		this.customerPaymentProfileId = customerPaymentProfileId;
		this.cardNumber = cardNumber;
		this.expirationDate = expirationDate;
		this.customerPaymentProfileMaskedType = customerPaymentProfileMaskedType;
		setAddress(new AuthorizeNetCIMAddress(address));
	}

	public void setCustomerPaymentProfileMaskedType(CustomerPaymentProfileMaskedType customerPaymentProfileMaskedType) {
		this.customerPaymentProfileMaskedType = customerPaymentProfileMaskedType;
	}

	public CustomerPaymentProfileMaskedType getCustomerPaymentProfileMaskedType() {
		return customerPaymentProfileMaskedType;
	}

	public void setCustomerProfileId(long customerProfileId) {
		this.customerProfileId = customerProfileId;
	}

	public long getCustomerProfileId() {
		return customerProfileId;
	}

}
