package com.softslate.commerce.businessobjects.storage;

import java.io.InputStream;

public class FileStreamObject {

	private InputStream inputStream;
	private String contentType;
	private Long contentLength;

	public FileStreamObject(InputStream is, String contentType, Long contentLength) {
		this.setInputStream(is);
		this.contentType = contentType;
		this.contentLength = contentLength;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public InputStream getInputStream() {
		return inputStream;
	}

	public void setInputStream(InputStream inputStream) {
		this.inputStream = inputStream;
	}

	public Long getContentLength() {
		return contentLength;
	}

	public void setContentLength(Long contentLength) {
		this.contentLength = contentLength;
	}

}
