package com.softslate.commerce.daos.customer;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to delivery addresses.
 * 
 * @author David Tobey
 * 
 */
public class CustomerAddressGatewayDAOHibernate extends
        BaseAdminGatewayDAOHibernate implements CustomerAddressGatewayDAO {

    static Log log = LogFactory
            .getLog(CustomerAddressGatewayDAOHibernate.class);

    public Map loadCustomerAddressesAndCount(Map parameters) throws Exception {
        return loadItemsAndCount(parameters);
    }

	public Map editDeleteCustomerAddresses(Map parameters, BusinessObjectFactory bof) throws Exception {
		return editDeleteItems(parameters, bof);
	}
}
