package com.softslate.commerce.daos.order;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to order deliveries.
 * 
 * @author David Tobey
 * 
 */
public interface OrderDeliveryGatewayDAO extends DAOInterface {
	abstract Map loadOrderDeliveriesAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteOrderDeliveries(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
