create table sscBasicTaxRate (
	basicTaxRateID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.tax.BasicTaxRateBean', 
	countryID number(10,0), 
	stateID number(10,0), 
	city varchar2(100), 
	postalCode varchar2(100), 
	rate double precision, 
	isActive number(1,0) not null, 
	primary key (basicTaxRateID)
);

alter table sscBasicTaxRate add constraint FK276B5B3D2F5AE506 foreign key (countryID) references sscCountry;
alter table sscBasicTaxRate add constraint FK276B5B3DE4C0EFFC foreign key (stateID) references sscState;

CREATE INDEX IDX_sscBasicTaxRate_city ON sscBasicTaxRate (city);
CREATE INDEX IDX_sscBasicTaxRate_postalCode ON sscBasicTaxRate (postalCode);

