<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="editing" scope="request" value="true" />

<!-- Start administratorEditForm.jsp -->
<html:form action="/AdministratorEdit" method="post">
	<html:hidden name="administratorAddEditForm" property="administratorID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<c:if test="${editPermission eq 'true'}">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</c:if>
</html:form>
<c:if test="${editPermission eq 'true'}">
	<form name="administratorDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/AdministratorDelete.do" method="post">
		<input type="hidden" name="administratorID" value="<c:out value="${administratorAddEditForm.administratorID}" />" />
		<input type="hidden" name="userName" value="<c:out value="${administratorAddEditForm.userName}" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</c:if>

<!-- End administratorEditForm.jsp -->
