<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start roleEditForm.jsp -->
<html:form action="/RoleEdit" method="post">
	<html:hidden name="roleAddEditForm" property="roleID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<c:if test="${editPermission eq 'true'}">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</c:if>
</html:form>
<c:if test="${editPermission eq 'true'}">
	<form name="roleDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/RoleDelete.do" method="post">
		<input type="hidden" name="roleID" value="<c:out value="${roleAddEditForm.roleID}" />" />
		<input type="hidden" name="code" value="<c:out value="${roleAddEditForm.code}" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</c:if>

<!-- End roleEditForm.jsp -->
