<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" type="java.lang.String"/>

<!-- Start optionExtra.jsp -->
<c:if test="${editPermission eq 'true'}">
	<div class="controlScreenExtra">
		<h2 class="administratorHeader">Option - Quick Add under <em><c:out value="${attribute.attributeName}"/></em></h2>
		<form name="optionQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/OptionQuickAdd.do">
			<c:if test="${!empty requestScope.product}">
				<input type="hidden" name="productID" value="<c:out value="${product.productID}"/>"/>
			</c:if>
			<input type="hidden" name="attributeID" value="<c:out value="${attribute.attributeID}"/>"/>
			<table>
				<tr>
					<td class="extraField">
						<label for="quickAddCode">Code:</label><br/>
						<html:text maxlength="100" name="optionAddEditForm" property="optionCode" styleId="quickAddCode"/>
					</td>
					<td class="extraField">
						<label for="quickAddName">Name:</label><br/>
						<html:text maxlength="255" name="optionAddEditForm" property="optionName" styleId="quickAddName"/>
					</td>
					<td class="extraField">
						<label for="quickAddPrice">Price:</label><br/>
						<html:text maxlength="10" name="optionAddEditForm" property="optionUnitPrice" styleId="quickAddPrice"/>
					</td>
					<td class="extraField">
						<label for="quickAddOrder">Order:</label><br/>
						<html:text maxlength="10" name="optionAddEditForm" property="optionOrder" styleId="quickAddOrder"/>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="extraButton">
						<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
					</td>
				</tr>
			</table>
		</form>
		<div class="extraFooting">
			<a href="<c:out value="${administratorURL}"/>/OptionAddForm.do?attributeID=<c:out value="${attribute.attributeID}"/><c:if test="${!empty requestScope.product}">&productID=<c:out value="${product.productID}"/></c:if>">Use the full add option form</a>
		</div>
	</div>
</c:if>
<!-- End optionExtra.jsp -->
