<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="customerURL" name="settings" property="value(customerURL)"/>

<!-- Start productEditForm.jsp -->
<html:form action="/ProductEdit" method="post" enctype="multipart/form-data"> 
	<html:hidden name="productAddEditForm" property="productID" />
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButtonTop">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
	<table class="addEditTable settingsTable">
		<tr class="altRow">
			<td class="genericLabel">
				Product ID:
			</td>
			<td>
				<bean:write name="productAddEditForm" property="productID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="productDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/ProductDelete.do" method="post">
		<input type="hidden" name="productID" value="<bean:write name="productAddEditForm" property="productID" />" />
		<input type="hidden" name="code" value="<bean:write name="productAddEditForm" property="code" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<div class="helpLinks">
	<h3 class="administratorSubhead">Related Actions</h3>
	<ul class="helpLinkList">
		<li><a target="new" href="<%=customerURL + "/Product.do" %>?code=<bean:write name="productAddEditForm" property="code"/>">View this product in the store</a></li>
	</ul>
</div>
<!-- End productEditForm.jsp -->
