<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.ProductSetting" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />

<div id="productSettingsScreen">

	<!-- Edit Form -->
	<div class="instructions">
		Use this form to identify files on the server that will be made available for customers to download when they purchase this product.
	</div>
	<br/>
	<html:form action="/ProductSettingsProcessDownloads" method="post">
		<html:hidden name="productSettingsFormDownloads" property="productID"/>
		<table id="fileDownloads">
			<tr>
				<th>File Name<span class="calloutMatch">*</span></th>
				<th>Full Path on Server<span class="calloutMatch">**</span></th>
				<th>Mime Type</th>
				<th>Description</th>
			</tr>
			<% 
				String files = null;
				String mimes = null;
				String descriptions = null;
				String names = null;
			%>
			<logic:iterate name="productSettings" id="settingRow" indexId="index">
				<logic:equal name="settingRow" property="type" value="DOWNLOADS">
					<% ProductSetting setting = (ProductSetting) settingRow; %>
					<logic:equal name="settingRow" property="code" value="downloadsFiles">
						<% files = setting.getTextValue(); %>
					</logic:equal>
					<logic:equal name="settingRow" property="code" value="downloadsNames">
						<% names = setting.getTextValue(); %>
					</logic:equal>
					<logic:equal name="settingRow" property="code" value="downloadsDescriptions">
						<% descriptions = setting.getTextValue(); %>
					</logic:equal>
					<logic:equal name="settingRow" property="code" value="downloadsMimes">
						<% mimes = setting.getTextValue(); %>
					</logic:equal>
				</logic:equal>
			</logic:iterate>
			<%	
				if (files != null && names != null && descriptions != null) {
					String[] filesArray = files.split(",", -1);
					String[] namesArray = names.split(",", -1);
					String[] mimesArray = mimes.split(",", -1);
					String[] descriptionsArray = descriptions.split(",", -1);
					for (int i = 0; i < filesArray.length; i++) {
			%>
			    	<tr>
						<td>
							<input type="text" name="names" value="<%= namesArray[i] %>"/>
						</td>
						<td>
							<input type="text" name="files" value="<%= filesArray[i] %>"/>
						</td>
						<td>
							<input type="text" name="mimes" value="<%= mimesArray[i] %>"/>
						</td>
						<td>
							<input type="text" name="descriptions" value="<%= descriptionsArray[i] %>"/>
						</td>
					</tr>
		<% 		} 
			} 
		%>
	    	<tr>
				<td>
					<input type="text" name="names" value=""/>
				</td>
				<td>
					<input type="text" name="files" value=""/>
				</td>
				<td>
					<input type="text" name="mimes" value=""/>
				</td>
				<td>
					<input type="text" name="descriptions" value=""/>
				</td>
			</tr>
		</table>
		
		<div class="instructions">
			<span class="calloutMatch">*</span> The file name the customer will download the file as.<br/>
			<span class="calloutMatch">**</span> The actual file path including file name on server.
		</div>

		<logic:equal name="editPermission" value="true">
			<br/>
			<input type="submit" class="button" name="settingsSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>"/>
		</logic:equal>
	</html:form>

</div>
